<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aula 03 - Intro Vue</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app">
        <h1>{{ titulo }}</h1>
        <p>{{ msg }}</p>
        <h2>Olá {{ nome }}, você está logado</h2>
        <p>{{ testFunc() }}</p>
        <p>A soma dos valores é igual a: {{ soma() }}</p>

    </div>
</body>

</html>


<script>
    const { createApp } = Vue;
    createApp({
        data() {
            return {
                titulo: "Bem vindos à primeira aula de Vue3!!!",
                msg: "Estamos utilizando o Vue3.",
                nome: "Marcos V"
            }
        },
        methods: {
            testFunc: () => {
                return "Retorno da função"
            },
            soma: () => {
                let x = 2
                let y = 5
                return x + y
            }
        }
    }).mount("#app")

</script>